Skip to navigation

Get a file

Beta

Get a file. This endpoint returns an S3 URL, from which you can download the file contents.

Note: URL is valid for 1 hour after being returned from this endpoint. It should not be stored persistently for later use.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

file_idstringRequired
The ID of the file

Response headers

Content-LocationstringOptional
The S3 URL from which the file contents can be downloaded

Response

OK
errorMessagestring or nullOptional
uploadStatusenumOptional
Allowed values:
archiveRecordobject or nullOptional
ArchiveRecord Resource if the file is archived. This is null if the file is not archived.
createdAtdatetimeOptionalRead-only
Date and time the file was created
creatorobjectOptional
UserSummary of the user who created the file
customFieldsmap from strings to objectsOptional
Custom field values of the file
displayIdstringOptionalRead-only

User-friendly ID of the file

filenamestringOptional
folderIdstringOptional
ID of the folder that contains the file
idstringOptional
modifiedAtdatetimeOptionalRead-only
Date and time the file was last modified
namestringOptional

Errors

403
Forbidden Error
404
Not Found Error